## eq10q 2.2~repack0

=== CMakeLists.txt ===
##EQ10Q TopLevel CMake
cmake_minimum_required(VERSION 2.8)
PROJECT(eq10q)

##ADD_DEFINITIONS(-Wall -O3 -fPIC -finline-functions -finline-functions-called-once  -msse -mfpmath=sse -std=c99)
set(CMAKE_C_FLAGS "-Wall -O3 -fPIC -finline-functions -finline-functions-called-once  -msse -mfpmath=sse -std=c99")
#set(CMAKE_C_FLAGS "-Wall -O0 -g -fPIC -finline-functions -finline-functions-called-once  -msse -mfpmath=sse -std=c99")

set(CMAKE_CXX_FLAGS "-Wall -fPIC -std=c++11")
#set(CMAKE_CXX_FLAGS "-Wall -O0 -g -fPIC -DPIC -std=c++11") ##Debuging GUI

##ADD_DEFINITIONS(-Wall -O0 -g -fPIC -DPIC) ###USED FOR DEBUG

#Set Install prefix
set (CMAKE_INSTALL_PREFIX  "/usr/local/lib/lv2") #Install prefix
#set (CMAKE_INSTALL_PREFIX  "$ENV{HOME}/.lv2") #Install prefix
set (LV2_BUNDLE "sapistaEQv2.lv2") #LV2 Bundel dir
set(EXECUTABLE_OUTPUT_PATH "${PROJECT_SOURCE_DIR}/bin")
set(LIBRARY_OUTPUT_PATH "${PROJECT_SOURCE_DIR}/bin")

add_subdirectory(gui) 
add_subdirectory(dsp)

#===========================BUILD EQ10Q ALL DSP FILES=============================================

#Build EQ1QM DSP
set( Eq_Bands_Count 1)
set( Eq_Channels_Count 1)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq1qm\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq1qm.c")
add_library(eq1qm SHARED eq1qm.c)
target_link_libraries( eq1qm  lib_filter lib_vumeter m fftw3)

#Build EQ1QS DSP
set( Eq_Bands_Count 1)
set( Eq_Channels_Count 2)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq1qs\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq1qs.c")
add_library(eq1qs SHARED eq1qs.c)
target_link_libraries( eq1qs  lib_filter lib_vumeter m fftw3)

#Build EQ4QM DSP
set( Eq_Bands_Count 4)
set( Eq_Channels_Count 1)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq4qm\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq4qm.c")
add_library(eq4qm SHARED eq4qm.c)
target_link_libraries( eq4qm  lib_filter lib_vumeter m fftw3)

#Build EQ4QS DSP
set( Eq_Bands_Count 4)
set( Eq_Channels_Count 2)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq4qs\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq4qs.c")
add_library(eq4qs SHARED eq4qs.c)
target_link_libraries( eq4qs  lib_filter lib_vumeter m fftw3)

#Build EQ6QM DSP
set( Eq_Bands_Count 6)
set( Eq_Channels_Count 1)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq6qm\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq6qm.c")
add_library(eq6qm SHARED eq6qm.c)
target_link_libraries( eq6qm  lib_filter lib_vumeter m fftw3)

#Build EQ6QS DSP
set( Eq_Bands_Count 6)
set( Eq_Channels_Count 2)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq6qs\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq6qs.c")
add_library(eq6qs SHARED eq6qs.c)
target_link_libraries( eq6qs  lib_filter lib_vumeter m fftw3)

#Build EQ10QM DSP
set( Eq_Bands_Count 10)
set( Eq_Channels_Count 1)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq10qm\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq10qm.c")
add_library(eq10qm SHARED eq10qm.c)
target_link_libraries( eq10qm  lib_filter lib_vumeter m fftw3)

#Build EQ10QS DSP
set( Eq_Bands_Count 10)
set( Eq_Channels_Count 2)
set( Eq_Uri  "\"http://eq10q.sourceforge.net/eq/eq10qs\"")
configure_file("${PROJECT_SOURCE_DIR}/eq.c" "${PROJECT_SOURCE_DIR}/eq10qs.c")
add_library(eq10qs SHARED eq10qs.c)
target_link_libraries( eq10qs  lib_filter lib_vumeter m fftw3)

#Build GATE DSP Mono
set( Plugin_Is_Dynamics_Compressor "PLUGIN_IS_GATE")
set( Dyn_Uri  "\"http://eq10q.sourceforge.net/gate\"")
set( Dyn_Channels_Count 1)
configure_file("${PROJECT_SOURCE_DIR}/dynamics.c" "${PROJECT_SOURCE_DIR}/gate_mono.c")
add_library(gate SHARED gate_mono.c)
target_link_libraries( gate lib_vumeter lib_filter m)

#Build Compressor DSP Mono
set( Plugin_Is_Dynamics_Compressor "PLUGIN_IS_COMPRESSOR")
set( Dyn_Uri  "\"http://eq10q.sourceforge.net/compressor\"")
set( Dyn_Channels_Count 1)
configure_file("${PROJECT_SOURCE_DIR}/dynamics.c" "${PROJECT_SOURCE_DIR}/compressor_mono.c")
add_library(compressor SHARED compressor_mono.c)
target_link_libraries( compressor lib_vumeter lib_filter m)

#Build Compressor Side-Chain DSP Mono
set( Plugin_Is_Dynamics_Compressor "PLUGIN_IS_COMPRESSOR_WITH_SC")
set( Dyn_Uri  "\"http://eq10q.sourceforge.net/compressor_sc\"")
set( Dyn_Channels_Count 1)
configure_file("${PROJECT_SOURCE_DIR}/dynamics.c" "${PROJECT_SOURCE_DIR}/compressor_mono_sc.c")
add_library(compressor_sc SHARED compressor_mono_sc.c)
target_link_libraries( compressor_sc lib_vumeter lib_filter m)

#Build GATE DSP Stereo
set( Plugin_Is_Dynamics_Compressor "PLUGIN_IS_GATE")
set( Dyn_Uri  "\"http://eq10q.sourceforge.net/gate_stereo\"")
set( Dyn_Channels_Count 2)
configure_file("${PROJECT_SOURCE_DIR}/dynamics.c" "${PROJECT_SOURCE_DIR}/gate_stereo.c")
add_library(gate_stereo SHARED gate_stereo.c)
target_link_libraries( gate_stereo lib_vumeter lib_filter m)

#Build Compressor DSP Stereo
set( Plugin_Is_Dynamics_Compressor "PLUGIN_IS_COMPRESSOR")
set( Dyn_Uri  "\"http://eq10q.sourceforge.net/compressor_stereo\"")
set( Dyn_Channels_Count 2)
configure_file("${PROJECT_SOURCE_DIR}/dynamics.c" "${PROJECT_SOURCE_DIR}/compressor_stereo.c")
add_library(compressor_stereo SHARED compressor_stereo.c)
target_link_libraries( compressor_stereo lib_vumeter lib_filter m)

#Build Compressor Side-Chain DSP Mono
set( Plugin_Is_Dynamics_Compressor "PLUGIN_IS_COMPRESSOR_WITH_SC")
set( Dyn_Uri  "\"http://eq10q.sourceforge.net/compressor_stereo_sc\"")
set( Dyn_Channels_Count 2)
configure_file("${PROJECT_SOURCE_DIR}/dynamics.c" "${PROJECT_SOURCE_DIR}/compressor_stereo_sc.c")
add_library(compressor_stereo_sc SHARED compressor_stereo_sc.c)
target_link_libraries( compressor_stereo_sc lib_vumeter lib_filter m)

#Build BassUp DSP
add_library(bassup SHARED bassup.c)
target_link_libraries( bassup lib_filter m)

#Build LR2MS DSP Stereo
set( Matrix_Is_LR2MS 1)
set( Matrix_Uri  "\"http://eq10q.sourceforge.net/matrix_lr2ms\"")
configure_file("${PROJECT_SOURCE_DIR}/midside_matrix.c" "${PROJECT_SOURCE_DIR}/matrix_lr2ms.c")
add_library(matrix_lr2ms SHARED matrix_lr2ms.c)
target_link_libraries( matrix_lr2ms lib_vumeter lib_filter m)

#Build MS2LR DSP Stereo
set( Matrix_Is_LR2MS 0)
set( Matrix_Uri  "\"http://eq10q.sourceforge.net/matrix_ms2lr\"")
configure_file("${PROJECT_SOURCE_DIR}/midside_matrix.c" "${PROJECT_SOURCE_DIR}/matrix_ms2lr.c")
add_library(matrix_ms2lr SHARED matrix_ms2lr.c)
target_link_libraries( matrix_ms2lr lib_vumeter lib_filter m)

#remove the lib prefix to all generated .so files
set_target_properties(eq1qm eq1qs eq4qm eq4qs eq6qm eq6qs eq10qm eq10qs gate compressor compressor_sc gate_stereo compressor_stereo compressor_stereo_sc bassup matrix_lr2ms matrix_ms2lr PROPERTIES PREFIX "")

#CLEAN generated .c files on run 'make clean'
SET(generatedEqConfigFiles 
      ${PROJECT_SOURCE_DIR}/eq1qm.c;${PROJECT_SOURCE_DIR}/eq1qs.c
      ${PROJECT_SOURCE_DIR}/eq4qm.c;${PROJECT_SOURCE_DIR}/eq4qs.c
      ${PROJECT_SOURCE_DIR}/eq6qm.c;${PROJECT_SOURCE_DIR}/eq6qs.c
      ${PROJECT_SOURCE_DIR}/eq10qm.c;${PROJECT_SOURCE_DIR}/eq10qs.c
      ${PROJECT_SOURCE_DIR}/gate_mono.c;${PROJECT_SOURCE_DIR}/compressor_mono.c;${PROJECT_SOURCE_DIR}/compressor_mono_sc.c
      ${PROJECT_SOURCE_DIR}/gate_stereo.c;${PROJECT_SOURCE_DIR}/compressor_stereo.c;${PROJECT_SOURCE_DIR}/compressor_stereo_sc.c
      ${PROJECT_SOURCE_DIR}/matrix_lr2ms.c;${PROJECT_SOURCE_DIR}/matrix_ms2lr.c
      )
SET_DIRECTORY_PROPERTIES(PROPERTIES  ADDITIONAL_MAKE_CLEAN_FILES "${generatedEqConfigFiles}")


##===========================THE LV2 INSTALLER================================================
#INSTALL( DIRECTORY "${PROJECT_SOURCE_DIR}/${LV2_BUNDLE}" DESTINATION "${LV2_BUNDLE}")
INSTALL( FILES "manifest.ttl" "eq1qm.ttl" "eq1qs.ttl" "eq4qm.ttl" "eq4qs.ttl" "eq6qm.ttl" "eq6qs.ttl" "eq10qm.ttl" "eq10qs.ttl" "gate.ttl" "compressor.ttl" "compressor_sc.ttl" "gate_stereo.ttl" "compressor_stereo.ttl" "compressor_stereo_sc.ttl" "bassup.ttl" "lr2ms.ttl" "ms2lr.ttl" DESTINATION "${LV2_BUNDLE}")
INSTALL( TARGETS eq1qm eq1qs eq4qm eq4qs eq6qm eq6qs eq10qm eq10qs gate compressor compressor_sc gate_stereo compressor_stereo compressor_stereo_sc bassup matrix_lr2ms matrix_ms2lr DESTINATION "${LV2_BUNDLE}")

INCLUDE(CPack)
# cpack -G TGZ

=== gui/CMakeLists.txt ===
##GUI CMake

#PROJECT(gui)

#GCC options example TODO remove -g option in release version
# TODO  segur k no e de fer un remove_definitions()???
##ADD_DEFINITIONS(-Wall -fPIC -DPIC -g)

find_package(PkgConfig)
pkg_check_modules(GTKMM gtkmm-2.4)

add_subdirectory(widgets) 

link_directories(${GTKMM_LIBRARY_DIRS})

include_directories(${GTKMM_INCLUDE_DIRS})

#Tests GUI
set( Eq_Gui_Test_Path "\"${PROJECT_SOURCE_DIR}/gui\"" )
configure_file("${PROJECT_SOURCE_DIR}/gui/guitester.cpp" "${PROJECT_SOURCE_DIR}/gui/guitester_cfg_.cpp")
ADD_EXECUTABLE(eq10q_gui_tester  main.cpp guitester_cfg_.cpp)
target_link_libraries( eq10q_gui_tester  eqwin dynamicwin bassupwin midsidewin ${GTKMM_LIBRARIES})

#===========================BUILD EQ10Q ALL GUI FILES=============================================

#Build EQ10Q GUI
add_library(eq10q_gui SHARED eq10q_ui.cpp)
target_link_libraries( eq10q_gui  eqwin ${GTKMM_LIBRARIES})

#Build DYNAMICS GUI
add_library(dynamics_gui SHARED dyn_ui.cpp)
target_link_libraries( dynamics_gui  dynamicwin ${GTKMM_LIBRARIES})

#Build BassUp Gui_Dyn_Uri
add_library(bassup_gui SHARED bassup_ui.cpp)
target_link_libraries( bassup_gui  bassupwin ${GTKMM_LIBRARIES})

#Build MS Matrix UI
add_library(matrix_ms_gui SHARED midside_ui.cpp)
target_link_libraries( matrix_ms_gui  midsidewin ${GTKMM_LIBRARIES})

#remove the lib prefix to all generated .so files
set_target_properties(eq10q_gui dynamics_gui bassup_gui matrix_ms_gui PROPERTIES PREFIX "")

##=================================INSTALLER=======================================================================
INSTALL( TARGETS eq10q_gui dynamics_gui bassup_gui matrix_ms_gui DESTINATION "${LV2_BUNDLE}/gui")
INSTALL( DIRECTORY "${PROJECT_SOURCE_DIR}/gui/knobs" DESTINATION "${LV2_BUNDLE}/gui")
INSTALL( DIRECTORY "${PROJECT_SOURCE_DIR}/gui/combopix" DESTINATION "${LV2_BUNDLE}/gui")
INSTALL( DIRECTORY "${PROJECT_SOURCE_DIR}/gui/icons" DESTINATION "${LV2_BUNDLE}/gui")

=== gui/widgets/CMakeLists.txt ===
##Widgets CMake

link_directories(${GTKMM_LIBRARY_DIRS})

include_directories(${GTKMM_INCLUDE_DIRS})

add_library(eqwin  STATIC
		mainwidget.cpp bandctl.cpp  eqparams.cpp knob2.cpp 
		vuwidget.cpp eqwindow.cpp filter.cpp setwidgetcolors.cpp 
		bodeplot.cpp button.cpp toggle_button.cpp abbutton.cpp sidechainbox.cpp)

target_link_libraries( eqwin ${GTKMM_LIBRARIES} m)

add_library(dynamicwin  STATIC mainwidget.cpp vuwidget.cpp knob2.cpp dynamicswindow.cpp setwidgetcolors.cpp button.cpp toggle_button.cpp dynplot.cpp sidechainbox.cpp)
target_link_libraries( dynamicwin ${GTKMM_LIBRARIES} m)

add_library(bassupwin STATIC mainwidget.cpp knob2.cpp bassupwindow.cpp)
target_link_libraries( bassupwin ${GTKMM_LIBRARIES} m)

add_library(midsidewin STATIC  mainwidget.cpp vuwidget.cpp  knob2.cpp midsidewindow.cpp setwidgetcolors.cpp button.cpp toggle_button.cpp sidechainbox.cpp)
target_link_libraries( midsidewin ${GTKMM_LIBRARIES} m)

=== debian/changelog ===
eq10q (2.2~repack0-5build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:59:08 +0200

eq10q (2.2~repack0-5) unstable; urgency=medium

  * Team upload.
  * Prevent gui build (Closes: #1041795)
  * Clean generated and built files (Closes: #1044400)

 -- Bastian Germann <bage@debian.org>  Sun, 15 Oct 2023 00:15:15 +0200

eq10q (2.2~repack0-4) unstable; urgency=medium

  * Team upload
  * debian/control:
    - Bump debhelper compat to 13
    - Bump Standards-Version
  * debian/patches: Fix lv2 types (Closes: #960251)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 16 May 2020 15:44:53 +0200

eq10q (2.2~repack0-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * Team upload.
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * debian/control:
    - Bump Standards-Version
    - Set RRR: no
    - Bump debhelper compat to 12

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 23 Nov 2019 15:51:26 +0100

eq10q (2.2~repack0-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Aurelien Jarno to fix FTBFS with glibc 2.27.
    (Closes: #890634)

 -- Adrian Bunk <bunk@debian.org>  Tue, 20 Mar 2018 19:40:58 +0200

eq10q (2.2~repack0-2) unstable; urgency=medium

  * Remove redundant amd64 cflags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 13 Dec 2016 15:26:26 +0100

eq10q (2.2~repack0-1) unstable; urgency=medium

  * Use copyright file for repacking.
  * New upstream version 2.2~repack0
  * Sign tags.
  * Set dh/compat 10.
  * Update copyright file.
  * Update package description.
  * Add spelling patch.
  * Forward some patches.
  * Enable sse on amd64.
  * Add patch to pass debug flags.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Tue, 13 Dec 2016 09:12:10 +0100

eq10q (2.1~repack0-2) unstable; urgency=medium

  * Update description. (Closes: #836380)

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Sun, 04 Sep 2016 08:49:02 +0200

eq10q (2.1~repack0-1) unstable; urgency=medium

  * Imported Upstream version 2.1~repack0
  * Bump Standards.
  * Fix VCS fields.
  * Fix hardening.
  * Add patch to append debian flags correctly.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Thu, 25 Aug 2016 14:08:14 +0200

=== debian/control ===
Source: eq10q
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper-compat (= 13),
 cmake,
 pkg-config,
 lv2-dev,
 libfftw3-dev
Standards-Version: 4.5.0
Vcs-Git: https://salsa.debian.org/multimedia-team/eq10q.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/eq10q
Homepage: http://eq10q.sourceforge.net
Rules-Requires-Root: no

Package: eq10q
Architecture: any
Depends: ${shlibs:Depends},
 ${misc:Depends}
Provides: lv2-plugin
Description: LV2 plugins bundle
 Package contains these plugins:
  * eq10q  : 10 band equalizer;
  * eq6q   :  6 band equalizer;
  * eq4q   :  4 band equalizer;
  * eq1q   :  1 band equalizer;
  * cs10q  :  compressor;
  * cs10qm :  side-chain input compressor;
  * gt10q  :  gate;
  * bassup :  bass enhancer;
  * lr2ms  :  mid/side matrix lr to ms;
  * ms2lr  :  mid/side matrix ms to lr.
 .
 All plugins have mono and stereo version.
 .
 More information:
 http://eq10q.sourceforge.net/

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DEB_LDFLAGS_MAINT_APPEND=-Wl,--as-needed

%:
	dh $@

override_dh_installchangelogs:
	dh_installchangelogs README
